import 'package:http/http.dart' as http;
import 'package:tankobon_lib/tankobon_lib.dart';

void main() {
  final code = http.get(Uri.parse('https://example.com/source.dart')).then(
    (value) async {
      await fetchMangaList(source: value.body).then(
        (result) => print(result[0].title),
      );
      await fetchMangaList(source: value.body, offset: 100).then(
        (result) => print(result[0].title),
      );
      await fetchMangaList(source: value.body, search: 'search text').then(
        (result) => print(result[0].title),
      );
      await fetchMangaById(source: value.body, id: 'id')!.then(
        (result) => print(result.title),
      );
    },
  );
}
